# .FilePerm

This class describes the permissions of a file.

This class is virtual. You cannot use it as a datatype.

This class is not creatable.

This class acts like a read-only array.

`DIM hFilePerm AS .FilePerm DIM aString AS String aString = hFilePerm [ UserOrGroup AS String ]`

Returns the access permissions of a file for a given group or user.

UserOrGroup can be:

- A string containing a user name. For example, `"benoit"`.
- A string containing a star, a point, and a group name. For example, `"*.users"`.

Properties |
--- | ---
Group Other User |